diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wifi/examples/wifi-phy-configuration.cc ns-3.36/src/wifi/examples/wifi-phy-configuration.cc
--- ns-3.35/src/wifi/examples/wifi-phy-configuration.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wifi/examples/wifi-phy-configuration.cc	2022-04-30 18:23:58.198735200 -0700
@@ -112,7 +112,7 @@
     // i.e. without further channel number/width/frequency configuration
 
     case 1:
-      // By default, WifiHelper will use WIFI_STANDARD_80211a
+      wifi.SetStandard (WIFI_STANDARD_80211a);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -145,7 +145,8 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 4:
-      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n);
+      phy.Set ("ChannelSettings", StringValue ("{0, 0, BAND_5GHZ, 0}"));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -156,7 +157,7 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 5:
-      wifi.SetStandard (WIFI_STANDARD_80211n_2_4GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -178,7 +179,9 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 7:
-      wifi.SetStandard (WIFI_STANDARD_80211ax_2_4GHZ);
+      // By default, WifiHelper will use WIFI_STANDARD_80211ax
+      wifi.SetStandard (WIFI_STANDARD_80211ax);
+      phy.Set ("ChannelSettings", StringValue ("{0, 0, BAND_2_4GHZ, 0}"));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -189,7 +192,7 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 8:
-      wifi.SetStandard (WIFI_STANDARD_80211ax_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211ax);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -200,7 +203,8 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 9:
-      wifi.SetStandard (WIFI_STANDARD_80211ax_6GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211ax);
+      phy.Set ("ChannelSettings", StringValue ("{0, 0, BAND_6GHZ, 0}"));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -212,7 +216,7 @@
       break;
     case 10:
       wifi.SetStandard (WIFI_STANDARD_80211p);
-      phy.Set ("ChannelWidth", UintegerValue (10));
+      phy.Set ("ChannelSettings", StringValue ("{0, 10, BAND_5GHZ, 0}"));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -224,7 +228,7 @@
       break;
     case 11:
       wifi.SetStandard (WIFI_STANDARD_80211p);
-      phy.Set ("ChannelWidth", UintegerValue (5));
+      phy.Set ("ChannelSettings", StringValue ("{0, 5, BAND_5GHZ, 0}"));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -235,8 +239,8 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 12:
-      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
-      phy.Set ("ChannelNumber", UintegerValue (44));
+      wifi.SetStandard (WIFI_STANDARD_80211n);
+      phy.Set ("ChannelSettings", StringValue ("{44, 20, BAND_5GHZ, 0}"));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -247,14 +251,14 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 13:
-      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
-      phy.Set ("ChannelNumber", UintegerValue (44));
+      wifi.SetStandard (WIFI_STANDARD_80211n);
+      phy.Set ("ChannelSettings", StringValue ("{44, 0, BAND_5GHZ, 0}"));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
       // Post-install reconfiguration to channel number 40
-      Config::Set ("/NodeList/0/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelNumber", UintegerValue (40));
-      Config::Set ("/NodeList/1/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelNumber", UintegerValue (40));
+      Config::Set ("/NodeList/0/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelSettings", StringValue ("{40, 0, BAND_5GHZ, 0}"));
+      Config::Set ("/NodeList/1/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelSettings", StringValue ("{40, 0, BAND_5GHZ, 0}"));
       // We expect channel 40, width 20, frequency 5200
       NS_ASSERT (phySta->GetChannelNumber () == 40);
       NS_ASSERT (phySta->GetChannelWidth () == 20);
@@ -262,37 +266,37 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 14:
-      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
-      phy.Set ("ChannelNumber", UintegerValue (44));
+      wifi.SetStandard (WIFI_STANDARD_80211n);
+      phy.Set ("ChannelSettings", StringValue ("{44, 0, BAND_5GHZ, 0}"));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
       // Post-install reconfiguration to a 40 MHz channel
-      Config::Set ("/NodeList/0/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelNumber", UintegerValue (46));
-      Config::Set ("/NodeList/1/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelNumber", UintegerValue (46));
+      Config::Set ("/NodeList/0/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelSettings", StringValue ("{46, 0, BAND_5GHZ, 0}"));
+      Config::Set ("/NodeList/1/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelSettings", StringValue ("{46, 0, BAND_5GHZ, 0}"));
       NS_ASSERT (phySta->GetChannelNumber () == 46);
       NS_ASSERT (phySta->GetChannelWidth () == 40);
       NS_ASSERT (phySta->GetFrequency () == 5230);
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 15:
-      Config::SetDefault ("ns3::WifiPhy::ChannelNumber", UintegerValue (44));
-      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
+      Config::SetDefault ("ns3::WifiPhy::ChannelSettings", StringValue ("{44, 0, BAND_5GHZ, 0}"));
+      wifi.SetStandard (WIFI_STANDARD_80211n);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
       // Post-install reconfiguration to a 40 MHz channel
-      Config::Set ("/NodeList/0/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelNumber", UintegerValue (46));
-      Config::Set ("/NodeList/1/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelNumber", UintegerValue (46));
+      Config::Set ("/NodeList/0/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelSettings", StringValue ("{46, 0, BAND_5GHZ, 0}"));
+      Config::Set ("/NodeList/1/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelSettings", StringValue ("{46, 0, BAND_5GHZ, 0}"));
       NS_ASSERT (phySta->GetChannelNumber () == 46);
       NS_ASSERT (phySta->GetChannelWidth () == 40);
       NS_ASSERT (phySta->GetFrequency () == 5230);
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 16:
-      // Test that setting Frequency to a non-standard value will throw an exception
-      Config::SetDefault ("ns3::WifiPhy::Frequency", UintegerValue (5281));
-      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
+      // Test that setting channel number to a non-standard value will throw an exception
+      Config::SetDefault ("ns3::WifiPhy::ChannelSettings", StringValue ("{45, 0, BAND_5GHZ, 0}"));
+      wifi.SetStandard (WIFI_STANDARD_80211n);
       exceptionThrown = false;
       try
         {
@@ -318,8 +322,8 @@
     case 17:
       // Test that setting Frequency to a standard value will set the
       // channel number correctly
-      Config::SetDefault ("ns3::WifiPhy::Frequency", UintegerValue (5500));
-      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
+      Config::SetDefault ("ns3::WifiPhy::ChannelSettings", StringValue ("{100, 0, BAND_5GHZ, 0}"));
+      wifi.SetStandard (WIFI_STANDARD_80211n);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -331,14 +335,14 @@
       break;
     case 18:
       // Set a wrong channel after initialization
-      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
       exceptionThrown = false;
       try
         {
-          phySta->SetOperatingChannel (99, 5185, 40);
+          phySta->SetOperatingChannel (WifiPhy::ChannelTuple {99, 40, WIFI_PHY_BAND_5GHZ, 0});
         }
       catch (const std::runtime_error&)
         {
@@ -349,22 +353,23 @@
       break;
     case 19:
       // Test how channel number behaves when frequency is non-standard
-      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n);
+      phy.Set ("ChannelSettings", StringValue ("{44, 0, BAND_5GHZ, 0}"));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
       exceptionThrown = false;
       try
         {
-          phySta->SetAttribute ("Frequency", UintegerValue (5181));
+          phySta->SetAttribute ("ChannelSettings", StringValue ("{45, 0, BAND_5GHZ, 0}"));
         }
       catch (const std::runtime_error&)
         {
           exceptionThrown = true;
         }
-      // We expect that an exception is thrown due to unknown center frequency 5181
+      // We expect that an exception is thrown due to unknown channel number 45
       NS_ASSERT (exceptionThrown);
-      phySta->SetAttribute ("Frequency", UintegerValue (5180));
+      phySta->SetAttribute ("ChannelSettings", StringValue ("{36, 0, BAND_5GHZ, 0}"));
       // We expect channel number to be 36 due to known center frequency 5180
       NS_ASSERT (phySta->GetChannelNumber () == 36);
       NS_ASSERT (phySta->GetChannelWidth () == 20);
@@ -372,15 +377,15 @@
       exceptionThrown = false;
       try
         {
-          phySta->SetAttribute ("Frequency", UintegerValue (5179));
+          phySta->SetAttribute ("ChannelSettings", StringValue ("{43, 0, BAND_5GHZ, 0}"));
         }
       catch (const std::runtime_error&)
         {
           exceptionThrown = true;
         }
-      // We expect that an exception is thrown due to unknown center frequency 5179
+      // We expect that an exception is thrown due to unknown channel number 43
       NS_ASSERT (exceptionThrown);
-      phySta->SetAttribute ("ChannelNumber", UintegerValue (36));
+      phySta->SetAttribute ("ChannelSettings", StringValue ("{36, 0, BAND_5GHZ, 0}"));
       NS_ASSERT (phySta->GetChannelNumber () == 36);
       NS_ASSERT (phySta->GetChannelWidth () == 20);
       NS_ASSERT (phySta->GetFrequency () == 5180);
@@ -388,9 +393,8 @@
       break;
     case 20:
       // Set both channel and frequency to consistent values before initialization
-      Config::SetDefault ("ns3::WifiPhy::Frequency", UintegerValue (5200));
-      Config::SetDefault ("ns3::WifiPhy::ChannelNumber", UintegerValue (40));
-      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
+      Config::SetDefault ("ns3::WifiPhy::ChannelSettings", StringValue ("{40, 0, BAND_5GHZ, 0}"));
+      wifi.SetStandard (WIFI_STANDARD_80211n);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -398,48 +402,34 @@
       NS_ASSERT (phySta->GetChannelWidth () == 20);
       NS_ASSERT (phySta->GetFrequency () == 5200);
       // Set both channel and frequency to consistent values after initialization
-      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
-      phySta->SetAttribute ("Frequency", UintegerValue (5200));
-      phySta->SetAttribute ("ChannelNumber", UintegerValue (40));
-      NS_ASSERT (phySta->GetChannelNumber () == 40);
-      NS_ASSERT (phySta->GetChannelWidth () == 20);
-      NS_ASSERT (phySta->GetFrequency () == 5200);
-      // Set both channel and frequency to inconsistent values
-      phySta->SetAttribute ("Frequency", UintegerValue (5200));
-      phySta->SetAttribute ("ChannelNumber", UintegerValue (36));
-      // We expect channel number to be 36
-      NS_ASSERT (phySta->GetChannelNumber () == 36);
-      NS_ASSERT (phySta->GetChannelWidth () == 20);
-      NS_ASSERT (phySta->GetFrequency () == 5180);
-      phySta->SetAttribute ("ChannelNumber", UintegerValue (36));
-      phySta->SetAttribute ("Frequency", UintegerValue (5200));
-      // We expect channel number to be 40
+      phySta->SetAttribute ("ChannelSettings", StringValue ("{40, 0, BAND_5GHZ, 0}"));
       NS_ASSERT (phySta->GetChannelNumber () == 40);
       NS_ASSERT (phySta->GetChannelWidth () == 20);
       NS_ASSERT (phySta->GetFrequency () == 5200);
       exceptionThrown = false;
       try
         {
-          phySta->SetAttribute ("Frequency", UintegerValue (5179));
+          phySta->SetAttribute ("ChannelSettings", StringValue ("{45, 0, BAND_5GHZ, 0}"));
         }
       catch (const std::runtime_error&)
         {
           exceptionThrown = true;
         }
-      phySta->SetAttribute ("ChannelNumber", UintegerValue (36));
+      phySta->SetAttribute ("ChannelSettings", StringValue ("{36, 0, BAND_5GHZ, 0}"));
       // We expect channel number to be 36 and an exception to be thrown
       NS_ASSERT (phySta->GetChannelNumber () == 36);
       NS_ASSERT (phySta->GetChannelWidth () == 20);
       NS_ASSERT (phySta->GetFrequency () == 5180);
       NS_ASSERT (exceptionThrown);
-      phySta->SetAttribute ("ChannelNumber", UintegerValue (36));
+      phySta->SetAttribute ("ChannelSettings", StringValue ("{36, 0, BAND_5GHZ, 0}"));
       exceptionThrown = false;
       try
         {
-          phySta->SetAttribute ("Frequency", UintegerValue (5179));
+          phySta->SetAttribute ("ChannelSettings", StringValue ("{43, 0, BAND_5GHZ, 0}"));
         }
       catch (const std::runtime_error&)
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wifi/examples/wifi-phy-test.cc ns-3.36/src/wifi/examples/wifi-phy-test.cc
--- ns-3.35/src/wifi/examples/wifi-phy-test.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wifi/examples/wifi-phy-test.cc	2022-04-30 18:23:58.198735200 -0700
@@ -134,8 +134,8 @@
   tx->SetMobility (posTx);
   rx->SetMobility (posRx);
 
-  tx->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211a, WIFI_PHY_BAND_5GHZ);
-  rx->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211a, WIFI_PHY_BAND_5GHZ);
+  tx->ConfigureStandard (WIFI_STANDARD_80211a);
+  rx->ConfigureStandard (WIFI_STANDARD_80211a);
 
   rx->SetReceiveOkCallback (MakeCallback (&PsrExperiment::Receive, this));
 
@@ -300,9 +300,9 @@
   txB->SetMobility (posTxB);
   rx->SetMobility (posRx);
 
-  txA->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211a, WIFI_PHY_BAND_5GHZ);
-  txB->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211a, WIFI_PHY_BAND_5GHZ);
-  rx->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211a, WIFI_PHY_BAND_5GHZ);
+  txA->ConfigureStandard (WIFI_STANDARD_80211a);
+  txB->ConfigureStandard (WIFI_STANDARD_80211a);
+  rx->ConfigureStandard (WIFI_STANDARD_80211a);
 
   rx->SetReceiveOkCallback (MakeCallback (&CollisionExperiment::Receive, this));
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wifi/examples/wifi-test-interference-helper.cc ns-3.36/src/wifi/examples/wifi-test-interference-helper.cc
--- ns-3.35/src/wifi/examples/wifi-test-interference-helper.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wifi/examples/wifi-test-interference-helper.cc	2022-04-30 18:23:58.198735200 -0700
@@ -96,7 +96,7 @@
     uint16_t channelB; ///< channel number B
     uint16_t widthA; ///< channel width A
     uint16_t widthB; ///< channel width B
-    WifiPhyStandard standard; ///< standard
+    WifiStandard standard; ///< standard
     WifiPhyBand band; ///< band
     WifiPreamble preamble; ///< preamble
     bool captureEnabled; ///< whether physical layer capture is enabled
@@ -202,7 +202,7 @@
     channelB (36),
     widthA (20),
     widthB (20),
-    standard (WIFI_PHY_STANDARD_80211a),
+    standard (WIFI_STANDARD_80211a),
     band (WIFI_PHY_BAND_5GHZ),
     preamble (WIFI_PREAMBLE_LONG),
     captureEnabled (false),
@@ -269,9 +269,9 @@
       rx->SetFrameCaptureModel (frameCaptureModel);
     }
 
-  m_txA->ConfigureStandardAndBand (input.standard, input.band);
-  m_txB->ConfigureStandardAndBand (input.standard, input.band);
-  rx->ConfigureStandardAndBand (input.standard, input.band);
+  m_txA->ConfigureStandard (input.standard);
+  m_txB->ConfigureStandard (input.standard);
+  rx->ConfigureStandard (input.standard);
 
   devA->SetPhy (m_txA);
   nodeA->AddDevice (devA);
@@ -280,9 +280,10 @@
   devRx->SetPhy (rx);
   nodeRx->AddDevice (devRx);
 
-  m_txA->SetChannelNumber (input.channelA);
-  m_txB->SetChannelNumber (input.channelB);
-  rx->SetChannelNumber (std::max (input.channelA, input.channelB));
+  m_txA->SetOperatingChannel (WifiPhy::ChannelTuple {input.channelA, 0, (int)(input.band), 0});
+  m_txB->SetOperatingChannel (WifiPhy::ChannelTuple {input.channelB, 0, (int)(input.band), 0});
+  rx->SetOperatingChannel (WifiPhy::ChannelTuple {std::max (input.channelA, input.channelB), 0,
+                                                  (int)(input.band), 0});
 
   rx->TraceConnectWithoutContext ("PhyRxDrop", MakeCallback (&InterferenceExperiment::PacketDropped, this));
 
@@ -342,62 +343,62 @@
 
   if (str_standard == "WIFI_PHY_STANDARD_80211a")
     {
-      input.standard = WIFI_PHY_STANDARD_80211a;
+      input.standard = WIFI_STANDARD_80211a;
       input.band = WIFI_PHY_BAND_5GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211b")
     {
-      input.standard = WIFI_PHY_STANDARD_80211b;
+      input.standard = WIFI_STANDARD_80211b;
       input.band = WIFI_PHY_BAND_2_4GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211g")
     {
-      input.standard = WIFI_PHY_STANDARD_80211g;
+      input.standard = WIFI_STANDARD_80211g;
       input.band = WIFI_PHY_BAND_2_4GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211n_2_4GHZ")
     {
-      input.standard = WIFI_PHY_STANDARD_80211n;
+      input.standard = WIFI_STANDARD_80211n;
       input.band = WIFI_PHY_BAND_2_4GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211n_5GHZ")
     {
-      input.standard = WIFI_PHY_STANDARD_80211n;
+      input.standard = WIFI_STANDARD_80211n;
       input.band = WIFI_PHY_BAND_5GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211ac")
     {
-      input.standard = WIFI_PHY_STANDARD_80211ac;
+      input.standard = WIFI_STANDARD_80211ac;
       input.band = WIFI_PHY_BAND_5GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211ax_2_4GHZ")
     {
-      input.standard = WIFI_PHY_STANDARD_80211ax;
+      input.standard = WIFI_STANDARD_80211ax;
       input.band = WIFI_PHY_BAND_2_4GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211ax_5GHZ")
     {
-      input.standard = WIFI_PHY_STANDARD_80211ax;
+      input.standard = WIFI_STANDARD_80211ax;
       input.band = WIFI_PHY_BAND_5GHZ;
     }
 
-  if (str_preamble == "WIFI_PREAMBLE_LONG" && (input.standard == WIFI_PHY_STANDARD_80211a || input.standard == WIFI_PHY_STANDARD_80211b || input.standard == WIFI_PHY_STANDARD_80211g))
+  if (str_preamble == "WIFI_PREAMBLE_LONG" && (input.standard == WIFI_STANDARD_80211a || input.standard == WIFI_STANDARD_80211b || input.standard == WIFI_STANDARD_80211g))
     {
       input.preamble = WIFI_PREAMBLE_LONG;
     }
-  else if (str_preamble == "WIFI_PREAMBLE_SHORT" && (input.standard == WIFI_PHY_STANDARD_80211b || input.standard == WIFI_PHY_STANDARD_80211g))
+  else if (str_preamble == "WIFI_PREAMBLE_SHORT" && (input.standard == WIFI_STANDARD_80211b || input.standard == WIFI_STANDARD_80211g))
     {
       input.preamble = WIFI_PREAMBLE_SHORT;
     }
-  else if (str_preamble == "WIFI_PREAMBLE_HT_MF" && input.standard == WIFI_PHY_STANDARD_80211n)
+  else if (str_preamble == "WIFI_PREAMBLE_HT_MF" && input.standard == WIFI_STANDARD_80211n)
     {
       input.preamble = WIFI_PREAMBLE_HT_MF;
     }
-  else if (str_preamble == "WIFI_PREAMBLE_VHT_SU" && input.standard == WIFI_PHY_STANDARD_80211ac)
+  else if (str_preamble == "WIFI_PREAMBLE_VHT_SU" && input.standard == WIFI_STANDARD_80211ac)
     {
       input.preamble = WIFI_PREAMBLE_VHT_SU;
     }
-  else if (str_preamble == "WIFI_PREAMBLE_HE_SU" && input.standard == WIFI_PHY_STANDARD_80211ax)
+  else if (str_preamble == "WIFI_PREAMBLE_HE_SU" && input.standard == WIFI_STANDARD_80211ax)
     {
       input.preamble = WIFI_PREAMBLE_HE_SU;
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wifi/examples/wifi-trans-example.cc ns-3.36/src/wifi/examples/wifi-trans-example.cc
--- ns-3.35/src/wifi/examples/wifi-trans-example.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wifi/examples/wifi-trans-example.cc	2022-04-30 18:23:58.198735200 -0700
@@ -114,7 +114,7 @@
     }
   else if (standard == "11n_2_4GHZ")
     {
-      wifi.SetStandard (WIFI_STANDARD_80211n_2_4GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n);
       ssid = Ssid ("ns380211n_2_4GHZ");
       dataRate = "HtMcs0";
       freq = 2402 + (bw / 2); //so as to have 2412/2422 for 20/40
@@ -128,7 +128,7 @@
     }
   else if (standard == "11n_5GHZ")
     {
-      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n);
       ssid = Ssid ("ns380211n_5GHZ");
       dataRate = "HtMcs0";
       freq = 5170 + (bw / 2); //so as to have 5180/5190 for 20/40
@@ -155,7 +155,7 @@
     }
   else if (standard == "11ax_2_4GHZ")
     {
-      wifi.SetStandard (WIFI_STANDARD_80211ax_2_4GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211ax);
       ssid = Ssid ("ns380211ax_2_4GHZ");
       dataRate = "HeMcs0";
       freq = 2402 + (bw / 2); //so as to have 2412/2422/2442 for 20/40/80
@@ -169,7 +169,7 @@
     }
   else if (standard == "11ax_5GHZ")
     {
-      wifi.SetStandard (WIFI_STANDARD_80211ax_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211ax);
       ssid = Ssid ("ns380211ax_5GHZ");
       dataRate = "HeMcs0";
       freq = 5170 + (bw / 2); //so as to have 5180/5190/5210/5250 for 20/40/80/160
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wifi/examples/wifi-trans-example.sh ns-3.36/src/wifi/examples/wifi-trans-example.sh
--- ns-3.35/src/wifi/examples/wifi-trans-example.sh	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wifi/examples/wifi-trans-example.sh	2022-04-30 18:23:58.198735200 -0700
@@ -32,14 +32,14 @@
 }
 trap control_c SIGINT
 
-#Save waf and script locations. Have to be run from where they are (otherwise won't find executables)
+#Save ns3 and script locations. Have to be run from where they are (otherwise won't find executables)
 scriptDir=`pwd`
 cd ../../../
-wafDir=`pwd`
+ns3Dir=`pwd`
 cd $scriptDir
 
 #Test where script is run from
-if test ! -f ${wafDir}/waf ; then
+if test ! -f ${ns3Dir}/ns3 ; then
   echo "Please run this script from within the directory `dirname $0`, like this:"
   echo "cd `dirname $0`"
   echo "./`basename $0`"
@@ -75,8 +75,8 @@
     bw=${bw_leg[${i}]}
     echo "==============================================="
     echo "Run for wifi-trans-example for ${std} and ${bw} MHz"
-    cd $wafDir
-    ./waf --run "wifi-trans-example --standard=$std --bw=$bw"
+    cd $ns3Dir
+    ./ns3 run "wifi-trans-example --standard=$std --bw=$bw"
     echo "Generate PSD using ${file}.tr"
     file="${pre}${std}-${bw}MHz${suf}"
     gnuplot ${file}.plt
@@ -98,8 +98,8 @@
   do
     echo "==============================================="
     echo "Run for wifi-trans-example for ${std} and ${bw} MHz"
-    cd $wafDir
-    ./waf --run "wifi-trans-example --standard=$std --bw=$bw"
+    cd $ns3Dir
+    ./ns3 run "wifi-trans-example --standard=$std --bw=$bw"
     echo "Generate PSD using ${file}.tr"
     file="${pre}${std}-${bw}MHz${suf}"
     gnuplot ${file}.plt
@@ -125,8 +125,8 @@
     #for all other combinations continue
     echo "==============================================="
     echo "Run for wifi-trans-example for ${std} and ${bw} MHz"
-    cd $wafDir
-    ./waf --run "wifi-trans-example --standard=$std --bw=$bw"
+    cd $ns3Dir
+    ./ns3 run "wifi-trans-example --standard=$std --bw=$bw"
     echo "Generate PSD using ${file}.tr"
     file="${pre}${std}-${bw}MHz${suf}"
     gnuplot ${file}.plt
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wifi/helper/athstats-helper.h ns-3.36/src/wifi/helper/athstats-helper.h
--- ns-3.35/src/wifi/helper/athstats-helper.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wifi/helper/athstats-helper.h	2022-04-30 18:23:58.198735200 -0700
@@ -21,6 +21,13 @@
 #ifndef ATHSTATS_HELPER_H
 #define ATHSTATS_HELPER_H
 
+#include <stdint.h>
+#include <iosfwd>
+#include <string>
+#include "ns3/nstime.h"
+#include "ns3/object.h"
+#include "ns3/ptr.h"
+#include "ns3/type-id.h"
 #include "ns3/wifi-phy-state.h"
 #include "ns3/wifi-phy-common.h"
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wifi/helper/spectrum-wifi-helper.cc ns-3.36/src/wifi/helper/spectrum-wifi-helper.cc
--- ns-3.35/src/wifi/helper/spectrum-wifi-helper.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wifi/helper/spectrum-wifi-helper.cc	2022-04-30 18:23:58.198735200 -0700
@@ -26,6 +26,7 @@
 #include "ns3/frame-capture-model.h"
 #include "ns3/preamble-detection-model.h"
 #include "ns3/mobility-model.h"
+#include "ns3/wifi-net-device.h"
 #include "spectrum-wifi-helper.h"
 
 namespace ns3 {
@@ -53,7 +54,7 @@
 }
 
 Ptr<WifiPhy>
-SpectrumWifiPhyHelper::Create (Ptr<Node> node, Ptr<NetDevice> device) const
+SpectrumWifiPhyHelper::Create (Ptr<Node> node, Ptr<WifiNetDevice> device) const
 {
   Ptr<SpectrumWifiPhy> phy = m_phy.Create<SpectrumWifiPhy> ();
   phy->CreateWifiSpectrumPhyInterface (device);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wifi/helper/spectrum-wifi-helper.h ns-3.36/src/wifi/helper/spectrum-wifi-helper.h
--- ns-3.35/src/wifi/helper/spectrum-wifi-helper.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wifi/helper/spectrum-wifi-helper.h	2022-04-30 18:23:58.198735200 -0700
@@ -63,7 +63,7 @@
    *
    * This method implements the pure virtual method defined in \ref ns3::WifiPhyHelper.
    */
-  Ptr<WifiPhy> Create (Ptr<Node> node, Ptr<NetDevice> device) const override;
+  Ptr<WifiPhy> Create (Ptr<Node> node, Ptr<WifiNetDevice> device) const override;
 
   Ptr<SpectrumChannel> m_channel; ///< the channel
 };
